[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# logicalor(variant,variant):variant

Implement logical/binary or operation on variants

## Declaration

Source position: varianth.inc line 353

`operator operator or(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the or operation is delegated to the variant manager with operation opor.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator and(variant, variant): variant |  | Implement logical/binary and operation on variants
operator xor(variant, variant): variant |  | Implement logical/binary xor operation on variants
operator not(variant): variant |  | Implement logical/binary not operation on variants